package cn.superdesk.uniorder.dao.mapper.organisation;

import cn.superdesk.uniorder.dao.entity.organisation.SysClique;
import cn.superdesk.uniorder.dao.entity.organisation.SysCliqueExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface SysCliqueMapper {
    long countByExample(SysCliqueExample example);

    int deleteByExample(SysCliqueExample example);

    int deleteByPrimaryKey(Long id);

    int insert(SysClique record);

    int insertSelective(SysClique record);

    List<SysClique> selectByExample(SysCliqueExample example);

    SysClique selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") SysClique record, @Param("example") SysCliqueExample example);

    int updateByExample(@Param("record") SysClique record, @Param("example") SysCliqueExample example);

    int updateByPrimaryKeySelective(SysClique record);

    int updateByPrimaryKey(SysClique record);
}